Новый ZWCAD 2017
dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Lisp. Сохранение объектов в отдельных файлах dxf

Lisp. Сохранение объектов в отдельных файлах dxf

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 18.04.2013, 14:53 #1
Lisp. Сохранение объектов в отдельных файлах dxf
acid_bmstu
 
Регистрация: 18.04.2013
Сообщений: 1

acid_bmstu вне форума Вставить имя

Есть набор геометрических объектов объединенных в полилинии
Надо каждый объект сохранить в dxf
Т.е. выделяю объект нажимаю кнопку и он его сохраняет 1.dxf, второй в 2.dxf и так далее
Объекты построены с помощью дуг и прямых
Возможно ли такое?

Вложения
Тип файла: dwg
DWG 2004
Пример.dwg (21.1 Кб, 653 просмотров)

Просмотров: 1301
 
Непрочитано 18.04.2013, 15:18
#2
Boxa

КЖ; C#
 
Регистрация: 03.11.2005
Санкт-Петербург
Сообщений: 1,303


Да. Возможно.
Boxa вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 19.04.2013, 10:26
#3
Олег (jr.)

специалист по околачиванию грушевых деревьев
 
Регистрация: 14.09.2004
Pietari, Venäjä
Сообщений: 813


Цитата:
Сообщение от acid_bmstu Посмотреть сообщение
Есть набор геометрических объектов объединенных в полилинии
Надо каждый объект сохранить в dxf
Т.е. выделяю объект нажимаю кнопку и он его сохраняет 1.dxf, второй в 2.dxf и так далее
Объекты построены с помощью дуг и прямых
Возможно ли такое?
Попробуй на А2010 работает
Код:
[Выделить все]
(defun C:HUH(/ cnt folder pt sset)
(setvar "cmdecho" 0)
  (setvar "expert" 5)
(setq folder (getvar "dwgprefix") cnt 0)
(while (setq sset (ssget "+.:S:L:E")); <-- Для единичных объектов, для всего набора удалить строковую опцию
(command "_.-wblock" (strcat folder (itoa (setq cnt (1+ cnt))) ".dxf") 16 "" (setq pt (getpoint "\nТочка в начале объекта: ")) sset "")
  (command "_oops")
  )
(setvar "cmdecho" 1)
  (setvar "expert" 0)
  (princ)
  )
Олег (jr.) вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.03.2017, 23:02
#4
hitori

Технолог
 
Регистрация: 02.03.2017
Город Санкт-Петербург
Сообщений: 4


Цитата:
Сообщение от Олег (jr.) Посмотреть сообщение
Попробуй на А2010 работает
Код:
[Выделить все]
(defun C:HUH(/ cnt folder pt sset)
(setvar "cmdecho" 0)
  (setvar "expert" 5)
(setq folder (getvar "dwgprefix") cnt 0)
(while (setq sset (ssget "+.:S:L:E")); <-- Для единичных объектов, для всего набора удалить строковую опцию
(command "_.-wblock" (strcat folder (itoa (setq cnt (1+ cnt))) ".dxf") 16 "" (setq pt (getpoint "\nТочка в начале объекта: ")) sset "")
  (command "_oops")
  )
(setvar "cmdecho" 1)
  (setvar "expert" 0)
  (princ)
  )
А возможно этот же lisp сделать на autocad 2007? а то у меня пишет "; ошибка: неверная строка режима ssget"
hitori вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 04.03.2017, 21:48
#5
Alan

CAD
 
Регистрация: 28.08.2003
Киев
Сообщений: 1,754
Отправить сообщение для Alan с помощью ICQ


Цитата:
Сообщение от hitori Посмотреть сообщение
А возможно этот же lisp сделать на autocad 2007?
Наверное Автокад русский? Тогда попробуй через
Код:
[Выделить все]
 (setq sset (ssget "_:S:L:E"))
__________________
По теории майский жук летать не может.
Но он этого не знает. И летает...
Alan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 05.03.2017, 10:26
#6
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,415


Цитата:
Сообщение от Alan Посмотреть сообщение
Наверное Автокад русский? Тогда попробуй через
Код:
[Выделить все]
 (setq sset (ssget "_:S:L:E"))
Так не сработает. Если не ошибаюсь, надо
Код:
[Выделить все]
(ssget "_+.:S:E:L")
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 05.03.2017, 17:40
#7
Alan

CAD
 
Регистрация: 28.08.2003
Киев
Сообщений: 1,754
Отправить сообщение для Alan с помощью ICQ


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
Так не сработает. Если не ошибаюсь, надо
Согласен. Не проверил до конца сам выбор, проверял только ключи...
__________________
По теории майский жук летать не может.
Но он этого не знает. И летает...
Alan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.03.2017, 13:03
#8
hitori

Технолог
 
Регистрация: 02.03.2017
Город Санкт-Петербург
Сообщений: 4


Спасибо большое

Последний раз редактировалось hitori, 09.03.2017 в 13:13.
hitori вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Lisp. Сохранение объектов в отдельных файлах dxf

 VetCAD++
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
LISP. Распределение по слоям объектов dim.,hatch,text Суханова LISP 5 28.08.2008 13:31
FILTER / фильтр BM60 Справочник команд 0 08.07.2008 15:35
Создание своих объектов и хранение данных в dwg файлах zmaximus Программирование 2 11.04.2008 18:36
Скрытие отдельных объектов! X-DeViL AutoCAD 4 27.01.2005 09:00
DXF to LISP John LISP 15 24.02.2004 10:19

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы